Bug 1471 - It is difficult to scale the window using the mouse
: It is difficult to scale the window using the mouse
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Low minor
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-16 16:58 MSK by FirstLevel
Modified: 2015-04-13 13:55 MSD (History)
7 users (show)

See Also:
RPM Package: rosa-elementary-theme-2.5.2-1-rosa2012.1.noarch
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
screenshot (287.25 KB, image/png)
2013-11-06 13:06 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2013-01-16 16:58:30 MSK
Description of problem:
It is difficult to scale the window using the mouse with default theme in ROSA 2012.1 Fresh.
Btw place to capture on the top of the window three times more than on the other sides. Could Yo please make place to capture on all sides like on the top of the window.
It is takes a lot of time to point the mouse on the side of window


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Denis Silakov 2013-06-03 12:47:55 MSD
*** Bug 2089 has been marked as a duplicate of this bug. ***
Comment 2 Stanislav Fomin 2013-11-06 10:59:03 MSK
There are a lot or requests (in forum, bug 2089, emails) to make something with thin window borders that are very hard to resize.
Comment 3 Георгий 2013-11-06 11:55:15 MSK
Для начала работ нам необходимо получить скриншоты на которых можно увидеть текущие размеры области захвата для изменения размера окна.
Comment 4 FirstLevel 2013-11-06 12:50:31 MSK
(In reply to comment #3)
> Для начала работ нам необходимо получить скриншоты на которых можно увидеть
> текущие размеры области захвата для изменения размера окна.

Could You boot Your desktop with ROSA and try to scale window of dolphin, for example?
Comment 5 Георгий 2013-11-06 12:54:20 MSK
(In reply to comment #4)
> (In reply to comment #3)
> > Для начала работ нам необходимо получить скриншоты на которых можно увидеть
> > текущие размеры области захвата для изменения размера окна.
> 
> Could You boot Your desktop with ROSA and try to scale window of dolphin,
> for example?

Нет, работаю в мак.
Comment 6 FirstLevel 2013-11-06 13:06:18 MSK
Created attachment 2179 [details]
screenshot
Comment 7 FirstLevel 2013-11-06 13:06:39 MSK
(In reply to comment #5)
> (In reply to comment #4)
> > (In reply to comment #3)
> > > Для начала работ нам необходимо получить скриншоты на которых можно увидеть
> > > текущие размеры области захвата для изменения размера окна.
> > 
> > Could You boot Your desktop with ROSA and try to scale window of dolphin,
> > for example?
> 
> Нет, работаю в мак.

I have attached screenshot.
Comment 8 Георгий 2013-11-06 14:34:22 MSK
Была ли рассмотрена разработчиками возможность внесения изменений с технической стороны без внесения изменений по графическим элементам? То есть внести изменения таким образом, чтобы пользователь мог менять размер окна не только точно попадая на край окна файлового менеджера, но также в некотором радиусе от него?
Comment 9 FirstLevel 2014-06-03 16:01:53 MSD
checking the relevance
Comment 10 Denis Silakov 2015-04-04 22:11:15 MSD
This is not a design bug, this is just a matter of default kwinrc configuration.

Quote from bug #2089:

===
I tried this setting that widen border and it seems working.

1) open Configure your Desktop → Workspace Appearance and Behaviour → Workspace Appearance
2) on the left choose Windows Decorations → Configure Decoration ... → 
3) in small windows “Decoration Options - “ → Border size → Large

With border size set to "Large" picking the border with pointer is quite easy.

With "normal" is very difficult. With "Tiny" is simply impossible. In my opinion this remain a bug to solve.
===

Possibly we should simply adjust default KDE configuration provided by mandriva-kde4-config package.
Comment 11 Andrey Bondrov 2015-04-08 17:17:25 MSD
Let's see if it helps. But you may need to clean up KDE cache (rm -rf /var/tmp/kdecache-[user], then kbuildsycoca4) to apply changes.

Advisory: "Update aurorae theme (increase left and right borders from 1 to 2)"

https://abf.rosalinux.ru/build_lists/2488830
https://abf.rosalinux.ru/build_lists/2488831
Comment 12 Vladimir Potapov 2015-04-09 07:47:10 MSD
The update is sent to expanded testing
**************************************
Comment 13 Vladimir Potapov 2015-04-13 12:53:55 MSD
rosa-elementary-theme-2.8.0-2
https://abf.rosalinux.ru/build_lists/2488830
https://abf.rosalinux.ru/build_lists/2488831
*************************** Advisory ****************************
Update aurorae theme (increase left and right borders from 1 to 2)
*****************************************************************
QA Verified